Subject: Re: dtc: Convert #address-cells and #size-cells related checks

From: David Gibson <[email-masked]>
Date: Sat, 8 Dec 2007 10:22:42 +1100

On Fri, Dec 07, 2007 at 02:05:55PM +1100, David Gibson wrote:
> This patch converts checks related to #address-cells and #size-cells
> to the new framework.  Specifically, it reimplements the check that
> "reg" properties have a valid size based on the relevant
> #address-cells and #size-cells values.  The new implementation uses
> the correct default value, unlike the old-style check which assumed
> the values were inherited by default.
> 
> It also implements a new, similar test for "ranges" properties.
> 
> Finally, since relying on the default values of these variables is
> considered not-good-practice these days, it implements a "style" check
> which will give a warning if the tree ever relies on the default
> values (that is if any node with either "reg" or "ranges" appears
> under a parent which has no #address-cells or #size-cells property).

Oops, that should, of course, be:

Signed-off-by: David Gibson <[email-masked]>

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson